namespace OubHackMS.Core
{
    using System;

    internal class LinkedClass
    {
        protected OubHackMS parent;

        public void Link(OubHackMS parent)
        {
            this.parent = parent;
            this.onLink();
        }

        public virtual void onLink()
        {
        }
    }
}

